# Prevention alerts

The report retrieves data to identify and resolve potential issues, thereby preventing the generation of alerts.
This report uses the created_at as the default parameter for unloading data.In a successful response, the report_url field will contain a link to the file.

Endpoint: POST /prevention_alerts
Version: 1.0.0
Security: merchant, signature

## Security:

  - `merchant` (unknown)
    apiKey in header merchant

  - `signature` (unknown)
    apiKey in header signature

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Request fields (application/json):

  - `filter` (string)
    Filtering criteria for the report data.
    Enum: "updated_at", "created_at"

  - `date_from` (string, required)
    Start datetime for the report stated in UTC+0.
    Example: 2025-08-15 11:00:00

  - `date_to` (string, required)
    End datetime for the report stated in UTC+0.
    Example: 2025-09-20 13:00:00

## Response 200:

  - `200` (unknown)
    This call only starts report generation. It does not return report data. On success, the response contains `report_url`. GET the URL, available at the download endpoint, to fetch the file. That endpoint returns `204` while the report is being generated. Once the file is ready, it returns `302` and redirects to a one-time S3 download link.

## Response 200 fields (application/json):

  - `report_url` (string)
    URL for the report stored on Amazon S3, which needs to be downloaded.
    Example: https://reports.solidgate.com/api/v1/prevention_alerts/report/prev_alert_220504_143924_test/download

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

## Response 200 examples:

  - `Success` (unknown)

  - `Authentication failed` (unknown)

